Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::ElevationSector Class Reference

Inheritance diagram for osgSim::ElevationSector:

[legend]
List of all members.

## Public Member Functions
| ElevationSector ()
| ElevationSector (const ElevationSector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| ElevationSector (float minElevation, float maxElevation, float fadeAngle=0.0f)
| META_Object (osgSim, ElevationSector)
virtual float | operator() (const osg::Vec3 &eyeLocal) const
## Protected Member Functions
virtual | ~ElevationSector ()
## Protected Attributes
float | _cosMinElevation
float | _cosMinFadeElevation
float | _cosMaxElevation
float | _cosMaxFadeElevation

## Constructor & Destructor Documentation

osgSim::ElevationSector::ElevationSector | ( |  | ) | `[inline]`

osgSim::ElevationSector::ElevationSector | ( | const ElevationSector & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

osgSim::ElevationSector::ElevationSector | ( | float | minElevation,
|  | float | maxElevation,
|  | float | fadeAngle = 0.0f
| ) |

virtual osgSim::ElevationSector::~ElevationSector | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osgSim::ElevationSector::META_Object | ( | osgSim | ,
|  | ElevationSector |
| ) |

virtual float osgSim::ElevationSector::operator() | ( | const osg::Vec3 & | eyeLocal | ) | const`[virtual]`

| Implements osgSim::Sector.

## Member Data Documentation

float osgSim::ElevationSector::_cosMaxElevation`[protected]`

| Reimplemented from osgSim::ElevationRange.

float osgSim::ElevationSector::_cosMaxFadeElevation`[protected]`

| Reimplemented from osgSim::ElevationRange.

float osgSim::ElevationSector::_cosMinElevation`[protected]`

| Reimplemented from osgSim::ElevationRange.

float osgSim::ElevationSector::_cosMinFadeElevation`[protected]`

| Reimplemented from osgSim::ElevationRange.

The documentation for this class was generated from the following file:

- Sector